Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225346 - Review Request: python-pgsql - Enhanced python interface to PostgreSQL
Summary: Review Request: python-pgsql - Enhanced python interface to PostgreSQL
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-30 00:05 UTC by Konstantin Ryabitsev
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-10 13:52:39 UTC
kevin: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Konstantin Ryabitsev 2007-01-30 00:05:26 UTC
Spec URL: http://blues.mcgill.ca/~icon/fe/python-pgsql.spec
SRPM URL: http://blues.mcgill.ca/~icon/fe/python-pgsql-0.9.3-2.src.rpm
Description:
This is a simple PostgreSQL interface for Python which is derived
from the PyGreSQL 3.8.1 sources module. The main changes from the
PyGreSQL module are:

- support for bind parameters, alleviating the need for
  extensive, expensive and vulnerable quoting of user-supplied
  data
- support for server side cursors for looping through large query
  results without loading up the entire result set in the client's
  memory
- returned values are translated to Python objects in the C layer,
  resulting in some speed improvement
- better DB API 2.0 compliance

Comment 1 Kevin Fenzi 2007-06-05 05:31:49 UTC
Hey Konstantin. Do you still wish to submit this package? 

If so, could you update to the latest version (0.9.5 seems to be the latest
upstream). Also, is the python2.3 patch needed? What versions are you targeting
with this package? 


Comment 2 Konstantin Ryabitsev 2007-06-05 14:42:50 UTC
Absolutely.

http://blues.mcgill.ca/~icon/fe/python-pgsql.spec
http://blues.mcgill.ca/~icon/fe/python-pgsql-0.9.5-1.el4.wsg.src.rpm

Version 0.9.5 works with python-2.3 without the patch. I'd like to provide this
package for EL4, hence why I care about python-2.3. :)

Comment 3 Kevin Fenzi 2007-06-06 02:37:05 UTC
ok. I would be happy to review this package... look for a full review in a few.

Comment 4 Kevin Fenzi 2007-06-06 02:52:51 UTC
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License (PSF)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
8c56355c93c88efacaba94119283175e  python-pgsql-0.9.5.tar.gz
8c56355c93c88efacaba94119283175e  python-pgsql-0.9.5.tar.gz.1
OK - BuildRequires correct
See below - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
See below - No rpmlint output.
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs
OK - Should have dist tag
OK - Should package latest version

Issues:

1. Our friend rpmlint says:
E: python-pgsql non-executable-script /usr/lib/python2.5/site-packages/pgsql.py 0644

Should this be mode 755? or more likely not have the '#!/usr/bin/env python' at
the top?

W: python-pgsql invalid-license PSF
W: python-pgsql invalid-license PSF
W: python-pgsql-debuginfo invalid-license PSF

rpmlint wants you to call this: "Python Software Foundation License"

Both of those are pretty minor. Provided you fix them before importing I will go
ahead and APPROVE this package. 

Comment 5 Konstantin Ryabitsev 2007-06-07 13:32:28 UTC
I've adjusted the license name to appease rpmlint, but removing the
"#!/usr/bin/env python" is a bit too anal, in my opinion. :) It's completely
inoffensive where it is, and just complicates the specfile needlessly. Will
request CVS bits in a moment.

Comment 6 Konstantin Ryabitsev 2007-06-07 13:36:04 UTC
New Package CVS Request
=======================
Package Name: python-pgsql
Short Description: Enhanced python interface to PostgreSQL
Owners: mricon@gmail.com
Branches: FC-6 F-7 EL-4 EL-5
InitialCC: icon@fedoraproject.org

Comment 7 Kevin Fenzi 2007-06-07 19:58:36 UTC
Well, the "#!/usr/bin/env python" on that script might make someone think they
can run it directly, but yes, thats a minor issue. 

cvs done.

Comment 8 Konstantin Ryabitsev 2007-06-10 13:52:39 UTC
Thanks bunches!


Note You need to log in before you can comment on or make changes to this bug.